Name:		subcommander
Version:	1.2.2
Release:	7%{?dist}
Summary:	Graphical UI for subversion

Group:		Development/Tools
License:	GPLv2+
URL:		http://subcommander.tigris.org	
Source0:	http://subcommander.tigris.org/files/documents/1759/35437/Subcommander-%{version}.tar.gz
Source1:	subcommander.desktop
Source2:	submerge.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	subversion-devel >= 1.4.2
BuildRequires:	qt-devel >= 1:3.3
buildRequires:	desktop-file-utils
BuildRequires:	apr-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
BuildRequires:	neon-devel

%description
The goal of the subcommander project is to build an easy to use,
crossplatform (Win32, Unix, MacOSX) Subversion gui client including
a graphical diff and merge tool for text files.

The Subversion gui client is called subcommander and the merge tool
is called submerge.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
cp -p pics/icon.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/subcommander.png

cp doc/COPYING .

desktop-file-install --vendor fedora			\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications 	\
	%{SOURCE1}

desktop-file-install --vendor fedora			\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications 	\
	%{SOURCE2}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/subcommander
%{_bindir}/submerge
%{_datadir}/subcommander/
%{_datadir}/applications/fedora-subcommander.desktop
%{_datadir}/applications/fedora-submerge.desktop
%{_datadir}/pixmaps/subcommander.png

%doc README CHANGES COPYING

%changelog
* Sun Sep  2 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-7
- Rebuild agains updated neon lib (#243638)

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-6
- Changing license tag

* Wed Jun 20 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-5
- Increase release to solve strange cvs tagging issue

* Mon Jun 18 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-4
- Rebuilt because an upload issue

* Thu Jun 14 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-3
- Set Version to 1.0 in the desktop file

* Thu Jun 14 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-2
- Correcting desktop files

* Tue Jun  5 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-1
- Initional package.

